#! /usr/bin/env python

import sys
import eyed3
from eyed3.id3.frames import id3EncodingToString

import locale
locale.setlocale(locale.LC_ALL, '')

for file in sys.argv[1:]:
   print "File:", file
   tag = eyed3.id3.Tag()
   tag.parse(file)
   for frame in tag.frames:
      print str(frame)
      if hasattr(frame, "text"):
         text = frame.text
      elif hasattr(frame, "comment"):
         text = frame.comment
      else:
         text = ''
      print text.encode(id3EncodingToString(frame.encoding))
   print
