#! /usr/bin/env python

import sys
from os import utime
from os.path import getmtime
import eyed3

for filename in sys.argv[1:]:
   mtime = getmtime(filename)
   id3tag = eyed3.id3.tag.Tag()
   id3tag.parse(filename, eyed3.id3.ID3_V1)

   id3tag.setVersion(eyed3.id3.ID3_V2)
   id3tag.update()
   utime(filename, (mtime, mtime))
